Pokemon Diamond + Sapphire on AKAIO 1.5.1 + EZ3in1plus problem

Discussion in 'Acekard' started by Elaugaufein, Jan 26, 2010.

  1. Elaugaufein
    OP

    Member Elaugaufein GBAtemp Regular

    Joined:
    Jan 26, 2010
    Messages:
    179
    Country:
    Australia
    Hi,

    I've done some looking around for information on this and I've found nothing.

    My problem is as follows:
    I can't flash any of the Pokemon 3rd Gen games to NOR via AKAIO (I just get a white screen after the Game Boy screen after I've restarted after the initial flash, they work fine when not flashed to NOR), I can flash them to NOR via Exploader and they run properly when done that way but if I do that neither pokepatched nor unpatched Pokemon Diamond detect them. I'm somewhat confident its not my 3in1 since I flashed Final Fantasy Tactics Advance to it (using AKAIO 1.5.1) and this both ran properly itself and properly unlocked Libra on an original Final Fantasy Tactics A2 game.

    Both the unpatched and pokepatched Pokemon Diamond do detect the original carts I dumped them from just fine so I don't think its Diamond thats the problem. I don't want to use the original carts because their batteries are dead and continually dumping and transferring the save files around between carts and to emulators on a computer is a pain. (Since 2 different emulators are required for 3rd Gen Play + Trading and then moving the 3rd Gen Pokemon to the 4th gen card).
    Does anyone have any idea whats going wrong here ? It seems like there's something wrong with the flashing to NOR of the 3rd gen games but I can't think of what it could be with FFTA working just fine. It can't be the clock fix since it happens with Emerald and Emerald has no clock fix and Fire Red and Leaf Green and neither of them has a clock.

    In case it helps
    The Acekard I'm using is a 2i with 1.4 firmware that I installed running AKAIO 1.5.1 (as previously mentioned), I bought the Acekard itself and the 3in1 plus around April of last year if thats of any help.
    All the pokemon versions (Diamond,Pearl,Platinum,LG,FR,Sapphire,Emerald,Ruby) are the Australian versions and the dumps were made with Rudolph's GBA tool or the unofficial version of his NDS tool that works with the 3in1 plus.



    Thanks
    Elaugaufein
     
  2. Elaugaufein
    OP

    Member Elaugaufein GBAtemp Regular

    Joined:
    Jan 26, 2010
    Messages:
    179
    Country:
    Australia
    I found the problem eventually while poking around looking for something else and am posting this for anyone who had the same problem and the typical google search didn't work.

    Rumble needs to be off in the 3in1 settings for the GBA game , and the Patched NDS file needs to have cheats and soft-reset disabled.

    This still results in a NOR flash that won't run using AKAIO (it white screens and I couldn't manage to get access to the save file (it said it was corrupt but since it doesn't run I have no way of checking if thats because I corrupted the save file with all the messing around)) but the dongle functionality works and an Exploader NOR Flash runs properly and allows migration and dongle functionality. It works even with Clock Fixed Ruby and Sapphire too.
     
  3. Pendor

    Member Pendor GBAtemp Advanced Fan

    Joined:
    May 11, 2008
    Messages:
    567
    Country:
    United States
    Why are you patching the nds rom?
     
  4. Elaugaufein
    OP

    Member Elaugaufein GBAtemp Regular

    Joined:
    Jan 26, 2010
    Messages:
    179
    Country:
    Australia
    I patched the NDS rom with Pokepatch so it would read the save data from the EZ3in1 properly.
     
  5. Pendor

    Member Pendor GBAtemp Advanced Fan

    Joined:
    May 11, 2008
    Messages:
    567
    Country:
    United States
    You don't need to. AKAIO already does that since 1.3 or so.

    3in1+ are known to have compatibility issues. The problem is most likely there.
     
  6. Elaugaufein
    OP

    Member Elaugaufein GBAtemp Regular

    Joined:
    Jan 26, 2010
    Messages:
    179
    Country:
    Australia
    Good to know the first bit thanks. I'm gonna go try that now.

    And I've already got it working, that was what the second post was about just in case anyone else was having issues.

    ETA - Tried using an unpatched Diamond along with an AKAIO copied Pokemon Sapphire on the EZ3in1+, Sapphire whitescreens on boot (as expected), the unpatched Diamond doesn't detect Sapphire at all, the patched one does and lets me migrate. (Is there a button you're supposed to hold down for the AKAIO Diamond/Pearl patch ? I tried none, L and R and none of those make any difference).
    ETA2 - Did some checking, the AKAIO autopatching for the NDS doesn't work for the 3in1+ cards (only for the 3in1) , so thats what the problem was there. So I do need to use pokepatch (as does anyone else using a +).
     

Share This Page